| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Extract MX vector components
Vector Conversions » Extract vector

## Extract exponent from v64mx9 vector
int | extract_exponent (v64mx9 m, int idx)

## Extract prime bits from v64mx9 vector
v4int8 | extract_prime (v64mx9 m, int idx)

## Extract MX vector components
v32int8 | extract_v32int8 (v64mx9 m, int idx)
v64int8 | extract_v64int8 (v128mx9 m, int idx)

## Extract exponent from MX vector
int | extract_exponent (v128mx9 m, int idx)
int | extract_expo (v64mx6 m, int idx)
int | extract_expo (v64mx4 m, int idx)

## Extract prime bits from MX vector
v4int8 | extract_prime (v128mx9 m, int idx)

## Extract v64mx9 vector from v128mx9
v64mx9 | extract_v64mx9 (v128mx9 a, int idx)
v64bfp16p | extract_v64bfp16p (v128bfp16p a, int idx)

## Extract components from MX vector
v16uint4 | extract_msb_v16uint4 (v256mx6 m, int idx)
v32uint4 | extract_msb_v32uint4 (v256mx6 m, int idx)
int | extract_expo_int (v256mx6 m, int idx)
v8int8 | extract_expo_v8int8 (v256mx6 m, int idx)
v64uint4 | extract_v64uint4 (v256mx6 m, int idx)
v128uint4 | extract_v128uint4 (v256mx6 m, int idx)
v64mx6 | extract_v64mx6 (v256mx6 m, int idx)
v128mx6 | extract_v128mx6 (v256mx6 m, int idx)
v256mx6 | set_v256mx6 (int idx, v128mx6 m)
v16uint4 | extract_msb_v16uint4 (v256mx4 m, int idx)
v32uint4 | extract_msb_v32uint4 (v256mx4 m, int idx)
int | extract_expo_int (v256mx4 m, int idx)
v8int8 | extract_expo_v8int8 (v256mx4 m, int idx)
v64uint4 | extract_v64uint4 (v256mx4 m, int idx)
v128uint4 | extract_v128uint4 (v256mx4 m, int idx)
v64mx4 | extract_v64mx4 (v256mx4 m, int idx)
v128mx4 | extract_v128mx4 (v256mx4 m, int idx)
v256mx4 | set_v256mx4 (int idx, v128mx4 m)
v64mx6 | extract_v64mx6 (v128mx6 m, int idx)
v128mx6 | set_v128mx6 (int idx, v64mx6 m)
v64mx4 | extract_v64mx4 (v128mx4 m, int idx)
v128mx4 | set_v128mx4 (int idx, v64mx4 m)

## Detailed Description

## Function Documentation

## ◆ extract_expo() [1/2]

int extract_expo | ( | v64mx4 | m,
|  | int | idx )

## ◆ extract_expo() [2/2]

int extract_expo | ( | v64mx6 | m,
|  | int | idx )

## ◆ extract_expo_int() [1/2]

int extract_expo_int | ( | v256mx4 | m,
|  | int | idx )

## ◆ extract_expo_int() [2/2]

int extract_expo_int | ( | v256mx6 | m,
|  | int | idx )

## ◆ extract_expo_v8int8() [1/2]

v8int8 extract_expo_v8int8 | ( | v256mx4 | m,
|  | int | idx )

## ◆ extract_expo_v8int8() [2/2]

v8int8 extract_expo_v8int8 | ( | v256mx6 | m,
|  | int | idx )

## ◆ extract_exponent() [1/2]

int extract_exponent | ( | v128mx9 | m,
|  | int | idx )

## ◆ extract_exponent() [2/2]

int extract_exponent | ( | v64mx9 | m,
|  | int | idx )

## ◆ extract_msb_v16uint4() [1/2]

v16uint4 extract_msb_v16uint4 | ( | v256mx4 | m,
|  | int | idx )

## ◆ extract_msb_v16uint4() [2/2]

v16uint4 extract_msb_v16uint4 | ( | v256mx6 | m,
|  | int | idx )

## ◆ extract_msb_v32uint4() [1/2]

v32uint4 extract_msb_v32uint4 | ( | v256mx4 | m,
|  | int | idx )

## ◆ extract_msb_v32uint4() [2/2]

v32uint4 extract_msb_v32uint4 | ( | v256mx6 | m,
|  | int | idx )

## ◆ extract_prime() [1/2]

v4int8 extract_prime | ( | v128mx9 | m,
|  | int | idx )

## ◆ extract_prime() [2/2]

v4int8 extract_prime | ( | v64mx9 | m,
|  | int | idx )

## ◆ extract_v128mx4()

v128mx4 extract_v128mx4 | ( | v256mx4 | m,
|  | int | idx )

## ◆ extract_v128mx6()

v128mx6 extract_v128mx6 | ( | v256mx6 | m,
|  | int | idx )

## ◆ extract_v128uint4() [1/2]

v128uint4 extract_v128uint4 | ( | v256mx4 | m,
|  | int | idx )

## ◆ extract_v128uint4() [2/2]

v128uint4 extract_v128uint4 | ( | v256mx6 | m,
|  | int | idx )

## ◆ extract_v32int8()

v32int8 extract_v32int8 | ( | v64mx9 | m,
|  | int | idx )

## ◆ extract_v64bfp16p()

v64bfp16p extract_v64bfp16p | ( | v128bfp16p | a,
|  | int | idx )

## ◆ extract_v64int8()

v64int8 extract_v64int8 | ( | v128mx9 | m,
|  | int | idx )

## ◆ extract_v64mx4() [1/2]

v64mx4 extract_v64mx4 | ( | v128mx4 | m,
|  | int | idx )

## ◆ extract_v64mx4() [2/2]

v64mx4 extract_v64mx4 | ( | v256mx4 | m,
|  | int | idx )

## ◆ extract_v64mx6() [1/2]

v64mx6 extract_v64mx6 | ( | v128mx6 | m,
|  | int | idx )

## ◆ extract_v64mx6() [2/2]

v64mx6 extract_v64mx6 | ( | v256mx6 | m,
|  | int | idx )

## ◆ extract_v64mx9()

v64mx9 extract_v64mx9 | ( | v128mx9 | a,
|  | int | idx )

## ◆ extract_v64uint4() [1/2]

v64uint4 extract_v64uint4 | ( | v256mx4 | m,
|  | int | idx )

## ◆ extract_v64uint4() [2/2]

v64uint4 extract_v64uint4 | ( | v256mx6 | m,
|  | int | idx )

## ◆ set_v128mx4()

v128mx4 set_v128mx4 | ( | int | idx,
|  | v64mx4 | m )

## ◆ set_v128mx6()

v128mx6 set_v128mx6 | ( | int | idx,
|  | v64mx6 | m )

## ◆ set_v256mx4()

v256mx4 set_v256mx4 | ( | int | idx,
|  | v128mx4 | m )

## ◆ set_v256mx6()

v256mx6 set_v256mx6 | ( | int | idx,
|  | v128mx6 | m )